Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8229 - XEmacs: Packageing of files
Summary: XEmacs: Packageing of files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: emacs
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-06 13:53 UTC by osman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 23:08:25 UTC


Attachments (Terms of Use)

Description osman 2000-01-06 13:53:53 UTC
In the main package "xemacs-21.1.8-1" there are some misplaced
files/directories.
They are:
"/usr/lib/xemacs/mule-packages"	belong in "mule" package ?
"/usr/lib/xemacs-21.1.8"	belongs in "/usr/lib/xemacs"
"/usr/lib/xemacs-21.1.8/"	all textfiles belong in a "doc" package ?
"/usr/lib/xemacs-21.1.8/i386-redhat-linux"	belongs in
"/usr/lib/i386-redhat-linux" ?
"/usr/lib/xemacs-21.1.8/lisp/mule"	you guess it, in "mule" package.
"/usr/lib/xemacs-21.1.8/lisp/term"	same here, in noX package.

As a conclusion I think its best to re-engineer the overall packaging of
xemacs with a common package to all and separate pakages for the different
binaries, documentation, lisp-source & precompiled lisp-code.
And maybe try to make the location of files in those packages resemble
those of other packages like the sgml and dtd's for example, who needs the
same files in different places right?

Comment 1 Cristian Gafton 2000-02-16 23:08:59 UTC
Those directories are required by plain xemacs to operate. (ie they are
installed by default even when no mule is configured whatsoever)


Note You need to log in before you can comment on or make changes to this bug.